# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name entropy

Name:           ghc-%{pkg_name}
Version:        0.2.2.4
Release:        2%{?dist}
Summary:        A platform independent entropy source

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-unix-devel
# End cabal-rpm deps

%description
A platform independent method to obtain cryptographically strong entropy
(urandom on Linux, CryptAPI on Windows, patches welcome).
PRNGs should see the 'DRBG' package too.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files
%doc README.md


%changelog
* Thu Nov 24 2016 Jens Petersen <petersen@redhat.com> - 0.2.2.4-2
- rebuild

* Wed Apr 23 2014 Jens Petersen <petersen@redhat.com> - 0.2.2.4-1
- update to 0.2.2.4

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 14 2013 Jens Petersen <petersen@redhat.com> - 0.2.2.1-1
- update to 0.2.2.1
- Setup now uses Template Haskell
- update to new simplified Haskell Packaging Guidelines

* Wed Feb 13 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.2.1-1
- spec file generated by cabal-rpm-0.7.1
